"""
Script:   Singleton.py

Author:   Christian Rybovic
Class:    L-TIP-24-Do-a
Date:     03.12.2024
"""
class DatabaseConnection(object):
    # at object initialization
    def __new__(cls):
        # check if instance already exist, if not create new
        if not hasattr(cls, 'instance'):
            cls.instance = super(DatabaseConnection, cls).__new__(cls)
        return cls.instance

# use whenever needed (only one instance exists at anytime)
connection = DatabaseConnection()